SingleEntryModuleLibrary (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.plugins.ide.idea.model

## [Java] Class SingleEntryModuleLibrary

- org.gradle.plugins.ide.idea.model.SingleEntryModuleLibrary

- Single entry module library

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SingleEntryModuleLibrary (FilePath library, Set<FilePath> javadoc, Set<FilePath> source, String scope)` Creates single entry module library
    `SingleEntryModuleLibrary (FilePath library, FilePath javadoc, FilePath source, String scope)` Creates single entry module library
    `SingleEntryModuleLibrary (FilePath library, String scope)` Creates single entry module library

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getJavadocFile()` Returns a single javadoc jar or javadoc folder
    `File` | `getLibraryFile()` Returns a single jar or class folder
    `ModuleVersionIdentifier` | `getModuleVersion()` Module version of the library, if any.
    `File` | `getSourceFile()` Returns a single source jar or source folder
    `void` | `setModuleVersion(ModuleVersionIdentifier moduleVersion)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ModuleLibrary` | `addToNode, equals, getClasses, getExported, getJarDirectories, getJavadoc, getScope, getSources, hashCode, isExported, setClasses, setExported, setJarDirectories, setJavadoc, setScope, setSources, toString`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### public SingleEntryModuleLibrary(FilePath library, Set<FilePath> javadoc, Set<FilePath> source, String scope)

      Creates single entry module library

      Parameters:
        `library` - a path to jar or class folder in idea format
        `javadoc` - paths to javadoc jars or javadoc folders
        `source` - paths to source jars or source folders
        `scope` - scope

    - #### public SingleEntryModuleLibrary(FilePath library, @Nullable FilePath javadoc, @Nullable FilePath source, String scope)

      Creates single entry module library

      Parameters:
        `library` - a path to jar or class folder in idea format
        `javadoc` - path to javadoc jars or javadoc folders
        `source` - paths to source jars or source folders
        `scope` - scope

    - #### public SingleEntryModuleLibrary(FilePath library, String scope)

      Creates single entry module library

      Parameters:
        `library` - a path to jar or class folder in Path format
        `scope` - scope

  - ### Method Detail

    - #### public File getJavadocFile()

      Returns a single javadoc jar or javadoc folder

    - #### public File getLibraryFile()

      Returns a single jar or class folder

    - #### @Nullable public ModuleVersionIdentifier getModuleVersion()

      Module version of the library, if any.

    - #### public File getSourceFile()

      Returns a single source jar or source folder

    - #### public void setModuleVersion(@Nullable ModuleVersionIdentifier moduleVersion)